Printago API
GET /v1/integrations/shippo/{integrationId}/status

Get Shippo status

Get Shippo integration status.

Requires: integration.view

Path Parameters

integrationId required
string
The Shippo integration ID

Response Schema

Response
accountNameoptional
string
authErroroptionalnullable
string
connectedrequired
boolean
lastSyncedAtoptional
number
testModeoptional
boolean

Example Response

200 OK — application/json
{
  "connected": true,
  "accountName": "string",
  "testMode": true,
  "lastSyncedAt": 1,
  "authError": "string"
}